org.eclipse.net4j.util.om.log

## Class RollingLog.RecoveryEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent
      - - org.eclipse.net4j.util.om.log.RollingLog.RecoveryEvent

- All Implemented Interfaces:
    java.io.Serializable, IEvent
  Enclosing class:
    RollingLog

      public static final class RollingLog.RecoveryEvent
      extends RollingLog.RollingLogEvent

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecoveryEvent(RollingLog rollingLog, java.util.Properties properties, RollingLog.LogLine logLine)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `formatAdditionalParameters()`
    `RollingLog.LogLine` | `getLogLine()`
    `java.lang.String` | `getProperty(java.lang.String key)`
    `void` | `setProperty(java.lang.String key, java.lang.String value)`

    - ### Methods inherited from class org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent

      `getSource`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecoveryEvent

          public RecoveryEvent(RollingLog rollingLog,
                               java.util.Properties properties,
                               RollingLog.LogLine logLine)

  - ### Method Detail

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key)

    - #### setProperty

          public void setProperty(java.lang.String key,
                                  java.lang.String value)

    - #### getLogLine

          public RollingLog.LogLine getLogLine()

    - #### formatAdditionalParameters

          protected java.lang.String formatAdditionalParameters()

      Overrides:
        `formatAdditionalParameters` in class `Event`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html